# Display an In-App Changelog for a new published version

### In-App Changelog content

In `LocalGetWhatsNewRepository` find a `whatsNewFor` function that returns a list of `FeatureItemData`.

A `FeatureItemData` is just a data class with&#x20;

* an image vector
* an icon tint color
* an icon background color
* a title
* a description

This way in whatsNewFor you can do this:&#x20;

```
return when (build) {
    "3" -> changelog3
    "4" -> changelog4 
    etc
}
```

The title and description can be localized like :&#x20;

```
FeatureItemData(
    imageVector = Icons.Rounded.Collections,
    iconTint = Color(0XFF161415),
    iconBackgroundColor = Color(0xFFb4a13e),
    title = SharedRes.strings.collection_feature,
    text = SharedRes.strings.collection_feature_description
)
```

Learn more about localization [here](/features/translations.md).

#### Get In-App Changelog from server

The function `whatsNewFor` is a suspend function: this means you can easily plugs a connexion to a server to fetch the in-app changelog. Example:&#x20;

```
class WhatsNewRepository(inAppChangelogApi: InAppChangelogApi) {

    suspend fun whatsNewFor(build: String): List<FeatureItemData> {
        return inAppChangelogApi.get(build)
    }
}
```

### Update the latest version seen

```
UpdatesLatestWhatsNewSeen
```


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.appkickstarter.com/tutorials/display-an-in-app-changelog-for-a-new-published-version.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
